Subject: Re: [bug#38846] [PATCH 4/4] DRAFT doc: Add a cooption policy for commit access.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 09 Jan 2020 23:39:16 +0100

Hello,

Tobias Geerinckx-Rice <[email-masked]> skribis:

> Ludovic Courtès 写道：
>> +@item
>> +Send @email{guix-maintainers@@gnu.org} a signed message stating
>> your
>> +intent, listing the three committers who support your application,
>> and
>> +giving the fingerprint of the OpenPGP key you will use to sign
>> commits
>> +(see below).
>> +
>> +@item
>> +Once you've been given access, please send a message to
>   ^^^^
>
> Probably just me, but this glosses over maintainer approval just a bit
> too deftly, and that even with 3 signed referrals commit access isn't
> guaranteed, just extremely likely.
>
> Unless that will actually change, I think we should briefly mention it
> as well.  People react worse to ‘let's try again later’ when they
> think they've already passed.  Understandably so.

Good points (from Maxim, too).

>> +@email{guix-devel@@gnu.org} to say so, again signed with the
>> OpenPGP key
>> +you will use to sign commits.  That way, everyone can notice and
>> ensure
>> +you control that OpenPGP key.
>
> Best to add an explicit ‘before pushing your first commit’ here, if
> that is the intent.

Indeed.

>> +When you get commit access, please make sure to follow
>   ^^^^
>
> ‘If’?  Same point as the first @items above.

Yes.

I’ve now pushed the whole series:

  ef09cb866c doc: Add a cooptation policy for commit access.
  98ebcf1c1b doc: Encourage patch review.
  2d315cd428 doc: Move "Commit Access" section from 'HACKING' to the manual.
  a7bde77d24 doc: Add "Tracking Bugs and Patches" section.

I believe I’ve taken into account all the changes that were proposed.
If you think anything still needs to be adjusted, let’s do that.

Thanks everyone!

Ludo’.